My device is not supported but is equivalent to an other

I’ve seen requests to add the samsung A51 as a supported device. But for now, considering the A51 (sm A515F) has the same arch as the A5 2016 (sm A510F), I’m trying to understand why we can’t migrate with this instal even if it is not fully supported as long as there are no bugs.
Thx a lot for the explanations. I don’t know much but it’s better when I try to understand :smiley: